Table of Contents

Module: speaker | speaker.py
--- | ---

Python wrapper for Emacspeak speech servers.

The emacspeak TTS server provides a simple but powerful and well-tested speech-server abstraction. That server is implemented as an external program (typically in TCL). This wrapper class provides Python access to available Emacspeak speech servers.

Initially, this class will provide Python access to the TTS server commands. Over time, this module may also implement functionality present in Emacspeak's Lisp layer ---specifically, higher level TTS functionality provided by the following emacspeak modules:

0) dtk-speak.el

1) emacspeak-pronounce.el

2) accs-structure.el

Functions |
--- | ---
_getcodes _test
| _getcodes

    _getcodes ( engine )

| _test

    _test ()

Self test.

Classes |

Speaker | Provides speech servre abstraction.

Table of Contents

This document was automatically generated on Mon May 7 16:30:05 2007 by HappyDoc version 2.1